This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169605 - Review Request: valknut - A Direct Connect client
Review Request: valknut - A Direct Connect client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://dcgui.berlios.de
:
Depends On: 169604
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-30 02:44 EDT by Luke Macken
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-04 17:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-09-30 02:44:42 EDT
Spec Name or Url: http://people.redhat.com/lmacken/valknut.spec
SRPM Name or Url: http://people.redhat.com/lmacken/valknut-0.3.7-1.src.rpm
Description:
Valknut is a program the uses the Direct Connect protocol. It is compatible
with other DC clients, such as the original DC from Neomodus, DC++ and
derivatives. Valknut also interoperates with all common DC hub software.
Comment 1 Brian Pepple 2005-09-30 09:22:09 EDT
This is also in the Livna repository, but seems not to have been rebuilt for FC4.
Comment 2 Aurelien Bompard 2005-10-03 03:26:26 EDT
* BuildRequires: desktop-file-utils is missing
* You could replace "--with-qt-dir" with QT environment variable, so you don't 
  have to update it when QT4 is out. Usually, it's:
    unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
  and then %configure
* Please use install -p to preserve timestamps
* desktop file already contains X-Fedora
Comment 3 Luke Macken 2005-10-03 11:36:17 EDT
(In reply to comment #2)
> * BuildRequires: desktop-file-utils is missing
> * You could replace "--with-qt-dir" with QT environment variable, so you don't 
>   have to update it when QT4 is out. Usually, it's:
>     unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
>   and then %configure
> * Please use install -p to preserve timestamps
> * desktop file already contains X-Fedora

Fixed.

http://people.redhat.com/lmacken/valknut.spec
http://people.redhat.com/lmacken/valknut-0.3.7-2.src.rpm
Comment 4 Aurelien Bompard 2005-10-03 12:11:01 EDT
Missing BuildRequires : libxml-devel (build fails in mock)
Comment 5 Luke Macken 2005-10-03 21:14:08 EDT
This was an issue with dclib-devel not pulling down libxml2-devel, which should
be fixed now.  I also added bzip2-devel to BuildRequires for valknut.. builds
fine in mock now.

http://people.redhat.com/lmacken/valknut.spec
http://people.redhat.com/lmacken/valknut-0.3.7-3.src.rpm
Comment 6 Aurelien Bompard 2005-10-04 07:14:55 EDT
Missing BuildRequires: openssl-devel
Curiously, it builds without it, but segfaults on startup.
Comment 7 Luke Macken 2005-10-04 11:22:39 EDT
(In reply to comment #6)
> Missing BuildRequires: openssl-devel
> Curiously, it builds without it, but segfaults on startup.

Added.

http://people.redhat.com/lmacken/valknut-0.3.7-3.src.rpm
Comment 8 Luke Macken 2005-10-04 11:23:08 EDT
ermm.. wrong url..

http://people.redhat.com/lmacken/valknut-0.3.7-4.src.rpm
Comment 9 Aurelien Bompard 2005-10-04 12:27:40 EDT
Review for release 4:
* RPM name is OK
* Source valknut-0.3.7.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of valknut looks OK
* File list of valknut looks OK
* Works as expected
APPROVED
Comment 10 Luke Macken 2005-10-04 17:41:23 EDT
Imported into CVS, added to owners.list, requested branches for FC-3/FC-4, and
built for devel.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.